Bug 524306 - Got failure code 100: Unknown error while connecting to Vodafone 3G
Got failure code 100: Unknown error while connecting to Vodafone 3G
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: ModemManager (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-09-18 15:14 EDT by Andy Burns
Modified: 2010-01-03 08:12 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-14 17:28:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
ModemManager test program (9.29 KB, text/plain)
2009-12-04 23:17 EST, Dan Williams
no flags Details

  None (edit)
Description Andy Burns 2009-09-18 15:14:38 EDT
Description of problem:

Using a Dell D5530 3G adapter, with Vodafone TopUp and Go PAYG SIM with F12 (rawhide post snap2) the SIM is known working from another machine.

I stopped the NetworkManager service and killed modem-manager process to allow debugging (docs still specify use of NM_SERIAL_DEBUG environment variable which is no longer relevant) restarted modem-manager with --debug and NetworkManager with --no-daemon

I disabled WiFi networking and manually attempted to bring up a 3G connection via nm-applet

NetworkManagerOutput
====================
NetworkManager: <info>  (wlan0): taking down device.
NetworkManager: <info>  Activation (usb0) starting connection 'Vodafone TopUp and Go'
NetworkManager: <info>  (usb0): device state change: 3 -> 4 (reason 0)
NetworkManager: <info>  Activation (usb0) Stage 1 of 5 (Device Prepare) scheduled...
NetworkManager: <info>  Activation (usb0) Stage 1 of 5 (Device Prepare) started...
NetworkManager: <info>  (usb0): device state change: 4 -> 6 (reason 0)
NetworkManager: <info>  Activation (usb0) Stage 1 of 5 (Device Prepare) complete.
NetworkManager: <info>  Activation (usb0) Stage 1 of 5 (Device Prepare) scheduled...
NetworkManager: <info>  Activation (usb0) Stage 1 of 5 (Device Prepare) started...
NetworkManager: <info>  (usb0): device state change: 6 -> 4 (reason 0)
NetworkManager: <info>  Activation (usb0) Stage 1 of 5 (Device Prepare) complete.
NetworkManager: <WARN>  stage1_prepare_done(): GSM modem connection failed: Could not parse the response
NetworkManager: <info>  (usb0): device state change: 4 -> 9 (reason 1)
NetworkManager: <info>  Marking connection 'Vodafone TopUp and Go' invalid.
NetworkManager: <info>  Activation (usb0) failed.
NetworkManager: <info>  (usb0): device state change: 9 -> 3 (reason 0)
NetworkManager: <info>  (usb0): deactivating device (reason: 0).
NetworkManager: <info>  (usb0): now unmanaged
NetworkManager: <info>  (usb0): device state change: 2 -> 1 (reason 36)
NetworkManager: <info>  (usb0): cleaning up...
NetworkManager: <info>  (usb0): now unmanaged
NetworkManager: <info>  (usb0): device state change: 3 -> 1 (reason 36)
NetworkManager: <info>  (usb0): cleaning up...
NetworkManager: <info>  (usb0): taking down device.
NetworkManager: <info>  (usb0): new Ethernet device (driver: 'cdc_ether')
NetworkManager: <info>  (usb0): exported as /org/freedesktop/NetworkManager/Devices/3
NetworkManager: <info>  (usb0): now managed
NetworkManager: <info>  (usb0): device state change: 1 -> 2 (reason 2)
NetworkManager: <info>  (usb0): bringing up device.
NetworkManager: <info>  (usb0): preparing device.
NetworkManager: <info>  (usb0): deactivating device (reason: 2).
NetworkManager: <info>  (usb0): new GSM device (driver: 'cdc_ether')
NetworkManager: <info>  (usb0): exported as /org/freedesktop/NetworkManager/Devices/4
NetworkManager: <info>  (usb0): now managed
NetworkManager: <info>  (usb0): device state change: 1 -> 2 (reason 2)
NetworkManager: <info>  (usb0): deactivating device (reason: 2).
NetworkManager: <info>  (usb0): device state change: 2 -> 3 (reason 0)

ModemManagerOutput
==================

** Message: Loaded plugin Gobi
** Message: Loaded plugin Nokia
** Message: Loaded plugin MotoC
** Message: Loaded plugin Sierra
** Message: Loaded plugin Ericsson MBM
** Message: Loaded plugin Huawei
** Message: Loaded plugin ZTE
** Message: Loaded plugin Option High-Speed
** Message: Loaded plugin Option
** Message: Loaded plugin Generic
** Message: Loaded plugin Novatel
** Message: (ttyACM1) opening serial device...
** (modem-manager:2477): DEBUG: (ttyACM1): probe requested by plugin 'Ericsson MBM'
** Message: (ttyACM2) opening serial device...
** (modem-manager:2477): DEBUG: (ttyACM2): probe requested by plugin 'Ericsson MBM'
** Message: (ttyACM3) opening serial device...
** (modem-manager:2477): DEBUG: (ttyACM3): probe requested by plugin 'Ericsson MBM'
** Message: (Ericsson MBM): GSM modem /sys/devices/pci0000:00/0000:00:1d.7/usb1/1-6 claimed port usb0
** (modem-manager:2477): DEBUG: Added modem /sys/devices/pci0000:00/0000:00:1d.7/usb1/1-6
** (modem-manager:2477): DEBUG: (ttyACM1): --> 'AT+GCAP<CR>'
** (modem-manager:2477): DEBUG: (ttyACM2): --> 'AT+GCAP<CR>'
** (modem-manager:2477): DEBUG: (ttyACM3): --> 'AT+GCAP<CR>'
** (modem-manager:2477): DEBUG: (ttyACM1): <-- 'AT+GCAP<CR><CR><LF>+GCAP: +CGSM, +DS<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:2477): DEBUG: (ttyACM2): <-- 'AT+GCAP<CR><CR><LF>+GCAP: +CGSM, +DS<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:2477): DEBUG: (ttyACM3): <-- 'AT+GCAP<CR><CR><LF>+GCAP: +CGSM, +DS<CR><LF><CR><LF>OK<CR><LF>'
** Message: (ttyACM1) closing serial device...
** Message: (ttyACM2) closing serial device...
** Message: (ttyACM3) closing serial device...
** (modem-manager:2477): DEBUG: Exported modem /sys/devices/pci0000:00/0000:00:1d.7/usb1/1-6 as /org/freedesktop/ModemManager/Modems/0
** Message: (Ericsson MBM): GSM modem /sys/devices/pci0000:00/0000:00:1d.7/usb1/1-6 claimed port ttyACM1
** Message: (Ericsson MBM): GSM modem /sys/devices/pci0000:00/0000:00:1d.7/usb1/1-6 claimed port ttyACM2
** Message: (Ericsson MBM): GSM modem /sys/devices/pci0000:00/0000:00:1d.7/usb1/1-6 claimed port ttyACM3

** Message: (ttyACM1) opening serial device...
** (modem-manager:2477): DEBUG: (ttyACM1): --> 'AT*EMRDY?<CR>'
** (modem-manager:2477): DEBUG: (ttyACM1): <-- 'AT*EMRDY?<CR>'
** (modem-manager:2477): DEBUG: (ttyACM1): <-- '<CR><LF>ERROR<CR><LF>'
** (modem-manager:2477): DEBUG: Got failure code 100: Unknown error
** (modem-manager:2477): DEBUG: (ttyACM1): --> 'AT&F E0 V1 X4 &C1 +CMEE=1<CR>'
** (modem-manager:2477): DEBUG: (ttyACM1): <-- 'AT&F E0 V1 X4 &C1 +CMEE=1<CR>'
** (modem-manager:2477): DEBUG: (ttyACM1): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2477): DEBUG: (ttyACM1): --> 'AT+CFUN=1<CR>'
** (modem-manager:2477): DEBUG: (ttyACM1): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2477): DEBUG: (ttyACM1): --> 'AT+CPIN?<CR>'
** (modem-manager:2477): DEBUG: (ttyACM1): <-- '<CR><LF>+CPIN: READY<CR><LF>'
** (modem-manager:2477): DEBUG: (ttyACM1): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2477): DEBUG: (ttyACM1): --> 'AT+CREG=1<CR>'
** (modem-manager:2477): DEBUG: (ttyACM1): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2477): DEBUG: (ttyACM1): --> 'AT+CMER=3,0,0,1<CR>'
** (modem-manager:2477): DEBUG: (ttyACM1): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2477): DEBUG: (ttyACM1): --> 'AT+COPS=1,2,"23415"<CR>'
** (modem-manager:2477): DEBUG: (ttyACM1): --> 'AT+CREG?<CR>'
** (modem-manager:2477): DEBUG: (ttyACM1): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2477): DEBUG: get_reg_status_done: unknown response: 
** (modem-manager:2477): DEBUG: (ttyACM1): <-- '<CR><LF>*ESTKSMENU: Vodafone,0,9<LF><CR>1,My Vodafone+<LF><CR>2,Sport+<LF><CR>3,News&Weather+<LF><CR>4,Travel&Locate+<LF><CR>5,Horoscopes+<LF><CR>6,Naughty+<LF><CR>7,Entertainment+<LF><CR>8,Chat and Fun+<LF><CR>9,Services&Help+<LF><CR><CR><LF>'
** (modem-manager:2477): DEBUG: (ttyACM1): --> 'AT*ENAP=0<CR>'
** (modem-manager:2477): DEBUG: (ttyACM1): <-- '<CR><LF>+CME ERROR: 263<CR><LF>'

** (modem-manager:2477): WARNING **: Invalid error code
** (modem-manager:2477): DEBUG: Got failure code 100: Unknown error
** (modem-manager:2477): DEBUG: (ttyACM1): --> 'AT*ENAP=0<CR>'
** (modem-manager:2477): DEBUG: (ttyACM1): <-- '<CR><LF>+CME ERROR: 263<CR><LF>'

** (modem-manager:2477): WARNING **: Invalid error code
** (modem-manager:2477): DEBUG: Got failure code 100: Unknown error
** Message: (ttyACM1) closing serial device...
** (modem-manager:2477): DEBUG: Removed modem /sys/devices/pci0000:00/0000:00:1d.7/usb1/1-6
** Message: (ttyACM2) opening serial device...
** (modem-manager:2477): DEBUG: (ttyACM2): probe requested by plugin 'Ericsson MBM'
** (modem-manager:2477): DEBUG: (ttyACM2): <-- '<CR><LF>*EMRDY: 1<CR><LF>'
** Message: (ttyACM3) opening serial device...
** (modem-manager:2477): DEBUG: (ttyACM3): probe requested by plugin 'Ericsson MBM'
** (modem-manager:2477): DEBUG: (ttyACM3): <-- '<CR><LF>*EMRDY: 1<CR><LF>'
** (modem-manager:2477): DEBUG: (ttyACM2): --> 'AT+GCAP<CR>'
** Message: (ttyACM4) opening serial device...
** (modem-manager:2477): DEBUG: (ttyACM4): probe requested by plugin 'Ericsson MBM'
** (modem-manager:2477): DEBUG: (ttyACM2): <-- 'AT+GCAP<CR><CR><LF>+GCAP: +CGSM, +DS<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:2477): DEBUG: (ttyACM4): <-- '<CR><LF>*EMRDY: 1<CR><LF>'
** (modem-manager:2477): DEBUG: (ttyACM3): --> 'AT+GCAP<CR>'
** Message: (Ericsson MBM): GSM modem /sys/devices/pci0000:00/0000:00:1d.7/usb1/1-6 claimed port usb0
** (modem-manager:2477): DEBUG: Added modem /sys/devices/pci0000:00/0000:00:1d.7/usb1/1-6
** (modem-manager:2477): DEBUG: (ttyACM3): <-- 'AT+GCAP<CR><CR><LF>+GCAP: +CGSM, +DS<CR><LF><CR><LF>OK<CR><LF>'
** Message: (ttyACM2) closing serial device...
** (modem-manager:2477): DEBUG: (ttyACM4): --> 'AT+GCAP<CR>'
** (modem-manager:2477): DEBUG: (ttyACM4): <-- 'AT+GCAP<CR><CR><LF>+GCAP: +CGSM, +DS<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:2477): DEBUG: Exported modem /sys/devices/pci0000:00/0000:00:1d.7/usb1/1-6 as /org/freedesktop/ModemManager/Modems/1
** Message: (Ericsson MBM): GSM modem /sys/devices/pci0000:00/0000:00:1d.7/usb1/1-6 claimed port ttyACM2
** Message: (ttyACM3) closing serial device...
** Message: (Ericsson MBM): GSM modem /sys/devices/pci0000:00/0000:00:1d.7/usb1/1-6 claimed port ttyACM3
** Message: (ttyACM4) closing serial device...
** Message: (Ericsson MBM): GSM modem /sys/devices/pci0000:00/0000:00:1d.7/usb1/1-6 claimed port ttyACM4


Version-Release number of selected component (if applicable):
ModemManager.i686                       0.2-3.20090826.fc12           
NetworkManager.i686                     1:0.7.996-1.git20090826.fc12  


How reproducible:
100%
Comment 1 Andy Burns 2009-09-19 05:55:10 EDT
Didn't realise ModemManager had it's own bugzilla component
Comment 2 Andy Burns 2009-09-19 07:35:38 EDT
I've tried this on two D5530 adapters, one with R1A034 firmware, 
the other with R1B/1 firmware.
Tried upgrading firmware to upgrade to R1D06 but was told by the updater that my hardware version was not compatible.
Comment 3 Sergei LITVINENKO 2009-09-27 15:00:42 EDT
It looks like the same https://bugzilla.redhat.com/show_bug.cgi?id=525734
Comment 4 Andy Burns 2009-09-27 16:19:22 EDT
I didn't try with wvdial, what format is the delta attachment on the other BZ?

Is there an rpm in koji anywhere I can try?
Comment 5 Luke Sheldrick 2009-11-01 09:18:58 EST
This is still an issue with the latest F12 Beta & NM NetworkManager-0.7.996-5.git20091021.fc12.i686
Comment 6 Dan Williams 2009-11-02 12:36:40 EST
Luke, we'll get an update for ModemManager right after F12 drops that should fix the issue.  I believe current git works (at least it does with my 3507g).
Comment 7 Andy Burns 2009-11-07 05:04:39 EST
I tried again with ModemManager-0.2-4.20091105.fc13.i686 on F12b2, it ploughed past the "failure code 100" error but still didn't make a 3G connection, debug logs below ...



# NetworkManager --no-daemon
NetworkManager: <info>  starting...
NetworkManager: <info>  modem-manager is now available

[snip logs from WiFi starting-up then shutting-down]

NetworkManager: <info>  Activation (usb0) starting connection 'Vodafone TopUp and Go'
NetworkManager: <info>  (usb0): device state change: 3 -> 4 (reason 0)
NetworkManager: <info>  Activation (usb0) Stage 1 of 5 (Device Prepare) scheduled...
NetworkManager: <info>  Activation (usb0) Stage 1 of 5 (Device Prepare) started...
NetworkManager: <info>  Activation (usb0) Stage 1 of 5 (Device Prepare) complete.
NetworkManager: <WARN>  stage1_prepare_done(): GSM modem connection failed: Network timeout
NetworkManager: <info>  (usb0): device state change: 4 -> 9 (reason 1)
NetworkManager: <info>  Marking connection 'Vodafone TopUp and Go' invalid.
NetworkManager: <info>  Activation (usb0) failed.
NetworkManager: <info>  (usb0): device state change: 9 -> 3 (reason 0)
NetworkManager: <info>  (usb0): deactivating device (reason: 0).



# modem-manager --debug
** Message: Loaded plugin Gobi
** Message: Loaded plugin Nokia
** Message: Loaded plugin MotoC
** Message: Loaded plugin Sierra
** Message: Loaded plugin Ericsson MBM
** Message: Loaded plugin Huawei
** Message: Loaded plugin ZTE
** Message: Loaded plugin Option High-Speed
** Message: Loaded plugin Option
** Message: Loaded plugin Generic
** Message: Loaded plugin Novatel
** Message: (ttyACM0) opening serial device...
** (modem-manager:2399): DEBUG: (ttyACM0): probe requested by plugin 'Ericsson MBM'
** Message: (ttyACM1) opening serial device...
** (modem-manager:2399): DEBUG: (ttyACM1): probe requested by plugin 'Ericsson MBM'
** Message: (ttyACM2) opening serial device...
** (modem-manager:2399): DEBUG: (ttyACM2): probe requested by plugin 'Ericsson MBM'
** Message: (Ericsson MBM): GSM modem /sys/devices/pci0000:00/0000:00:1d.7/usb1/1-6 claimed port usb0
** (modem-manager:2399): DEBUG: Added modem /sys/devices/pci0000:00/0000:00:1d.7/usb1/1-6
** (modem-manager:2399): DEBUG: (ttyACM0): --> 'AT+GCAP<CR>'
** (modem-manager:2399): DEBUG: (ttyACM1): --> 'AT+GCAP<CR>'
** (modem-manager:2399): DEBUG: (ttyACM2): --> 'AT+GCAP<CR>'
** (modem-manager:2399): DEBUG: (ttyACM0): <-- '<CR><LF>+GCAP: +CGSM, +DS<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:2399): DEBUG: (ttyACM1): <-- 'AT+GCAP<CR><CR><LF>+GCAP: +CGSM, +DS<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:2399): DEBUG: (ttyACM2): <-- 'AT+GCAP<CR><CR><LF>+GCAP: +CGSM, +DS<CR><LF><CR><LF>OK<CR><LF>'
** Message: (ttyACM0) closing serial device...
** Message: (ttyACM1) closing serial device...
** Message: (ttyACM2) closing serial device...
** (modem-manager:2399): DEBUG: Exported modem /sys/devices/pci0000:00/0000:00:1d.7/usb1/1-6 as /org/freedesktop/ModemManager/Modems/0
** Message: (Ericsson MBM): GSM modem /sys/devices/pci0000:00/0000:00:1d.7/usb1/1-6 claimed port ttyACM0
** Message: (Ericsson MBM): GSM modem /sys/devices/pci0000:00/0000:00:1d.7/usb1/1-6 claimed port ttyACM1
** Message: (Ericsson MBM): GSM modem /sys/devices/pci0000:00/0000:00:1d.7/usb1/1-6 claimed port ttyACM2
** Message: (ttyACM0) opening serial device...
** (modem-manager:2399): DEBUG: (ttyACM0): --> 'AT*EMRDY?<CR>'
** (modem-manager:2399): DEBUG: (ttyACM0): <-- '<CR><LF>ERROR<CR><LF>'
** (modem-manager:2399): DEBUG: Got failure code 100: Unknown error
** (modem-manager:2399): DEBUG: (ttyACM0): --> 'AT&F E0 V1 X4 &C1 +CMEE=1<CR>'
** (modem-manager:2399): DEBUG: (ttyACM0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2399): DEBUG: (ttyACM0): --> 'AT*ENAP=0<CR>'
** (modem-manager:2399): DEBUG: (ttyACM0): <-- '<CR><LF>ERROR<CR><LF>'
** (modem-manager:2399): DEBUG: Got failure code 100: Unknown error
** (modem-manager:2399): DEBUG: (ttyACM0): --> 'AT+CFUN=1<CR>'
** (modem-manager:2399): DEBUG: (ttyACM0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2399): DEBUG: (ttyACM0): --> 'AT+CPIN?<CR>'
** (modem-manager:2399): DEBUG: (ttyACM0): <-- '<CR><LF>+CPIN: READY<CR><LF>'
** (modem-manager:2399): DEBUG: (ttyACM0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2399): DEBUG: (ttyACM0): --> 'AT+CREG=1<CR>'
** (modem-manager:2399): DEBUG: (ttyACM0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2399): DEBUG: (ttyACM0): --> 'AT+CMER=3,0,0,1<CR>'
** (modem-manager:2399): DEBUG: (ttyACM0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2399): DEBUG: (ttyACM0): --> 'AT+COPS=0,,<CR>'
** (modem-manager:2399): DEBUG: (ttyACM0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2399): DEBUG: (ttyACM0): --> 'AT+CREG?<CR>'
** (modem-manager:2399): DEBUG: (ttyACM0): <-- '<CR><LF>+CREG: 1,2<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:2399): DEBUG: Registration state changed: 2
** (modem-manager:2399): DEBUG: (ttyACM0): --> 'AT+CREG?<CR>'
** (modem-manager:2399): DEBUG: (ttyACM0): <-- '<CR><LF>+CREG: 1,2<CR><LF>'
** (modem-manager:2399): DEBUG: (ttyACM0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2399): DEBUG: (ttyACM0): --> 'AT+CREG?<CR>'
** (modem-manager:2399): DEBUG: (ttyACM0): <-- '<CR><LF>+CREG: 1,2<CR><LF>'
** (modem-manager:2399): DEBUG: (ttyACM0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2399): DEBUG: (ttyACM0): --> 'AT+CREG?<CR>'
** (modem-manager:2399): DEBUG: (ttyACM0): <-- '<CR><LF>+CREG: 1,2<CR><LF>'
** (modem-manager:2399): DEBUG: (ttyACM0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2399): DEBUG: (ttyACM0): --> 'AT+CREG?<CR>'
** (modem-manager:2399): DEBUG: (ttyACM0): <-- '<CR><LF>+CREG: 1,2<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:2399): DEBUG: (ttyACM0): --> 'AT+CREG?<CR>'
** (modem-manager:2399): DEBUG: (ttyACM0): <-- '<CR><LF>+CREG: 1,2<CR><LF>'
** (modem-manager:2399): DEBUG: (ttyACM0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2399): DEBUG: (ttyACM0): --> 'AT+CREG?<CR>'
** (modem-manager:2399): DEBUG: (ttyACM0): <-- '<CR><LF>+CREG: 1,2<CR><LF>'
** (modem-manager:2399): DEBUG: (ttyACM0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2399): DEBUG: (ttyACM0): --> 'AT+CREG?<CR>'
** (modem-manager:2399): DEBUG: (ttyACM0): <-- '<CR><LF>+CREG: 1,2<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:2399): DEBUG: (ttyACM0): --> 'AT+CREG?<CR>'
** (modem-manager:2399): DEBUG: (ttyACM0): <-- '<CR><LF>+CREG: 1,2<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:2399): DEBUG: (ttyACM0): --> 'AT+CREG?<CR>'
** (modem-manager:2399): DEBUG: (ttyACM0): <-- '<CR><LF>+CREG: 1,2<CR><LF>'
** (modem-manager:2399): DEBUG: (ttyACM0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2399): DEBUG: (ttyACM0): --> 'AT+CREG?<CR>'
** (modem-manager:2399): DEBUG: (ttyACM0): <-- '<CR><LF>+CREG: 1,2<CR><LF>'
** (modem-manager:2399): DEBUG: (ttyACM0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2399): DEBUG: (ttyACM0): --> 'AT+CREG?<CR>'
** (modem-manager:2399): DEBUG: (ttyACM0): <-- '<CR><LF>+CREG: 1,2<CR><LF>'
** (modem-manager:2399): DEBUG: (ttyACM0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2399): DEBUG: (ttyACM0): --> 'AT+CREG?<CR>'
** (modem-manager:2399): DEBUG: (ttyACM0): <-- '<CR><LF>+CREG: 1,2<CR><LF>'
** (modem-manager:2399): DEBUG: (ttyACM0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2399): DEBUG: (ttyACM0): --> 'AT+CREG?<CR>'
** (modem-manager:2399): DEBUG: (ttyACM0): <-- '<CR><LF>+CREG: 1,2<CR><LF>'
** (modem-manager:2399): DEBUG: (ttyACM0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2399): DEBUG: (ttyACM0): --> 'AT+CREG?<CR>'
** (modem-manager:2399): DEBUG: (ttyACM0): <-- '<CR><LF>+CREG: 1,2<CR><LF>'
** (modem-manager:2399): DEBUG: (ttyACM0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2399): DEBUG: (ttyACM0): --> 'AT+CREG?<CR>'
** (modem-manager:2399): DEBUG: (ttyACM0): <-- '<CR><LF>+CREG: 1,2<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:2399): DEBUG: (ttyACM0): --> 'AT+CREG?<CR>'
** (modem-manager:2399): DEBUG: (ttyACM0): <-- '<CR><LF>+CREG: 1,2<CR><LF>'
** (modem-manager:2399): DEBUG: (ttyACM0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2399): DEBUG: (ttyACM0): --> 'AT+CREG?<CR>'
** (modem-manager:2399): DEBUG: (ttyACM0): <-- '<CR><LF>+CREG: 1,2<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:2399): DEBUG: (ttyACM0): --> 'AT+CREG?<CR>'
** (modem-manager:2399): DEBUG: (ttyACM0): <-- '<CR><LF>+CREG: 1,2<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:2399): DEBUG: (ttyACM0): --> 'AT+CREG?<CR>'
** (modem-manager:2399): DEBUG: (ttyACM0): <-- '<CR><LF>+CREG: 1,2<CR><LF>'
** (modem-manager:2399): DEBUG: (ttyACM0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2399): DEBUG: (ttyACM0): --> 'AT+CREG?<CR>'
** (modem-manager:2399): DEBUG: (ttyACM0): <-- '<CR><LF>+CREG: 1,2<CR><LF>'
** (modem-manager:2399): DEBUG: (ttyACM0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2399): DEBUG: (ttyACM0): --> 'AT+CREG?<CR>'
** (modem-manager:2399): DEBUG: (ttyACM0): <-- '<CR><LF>+CREG: 1,2<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:2399): DEBUG: (ttyACM0): --> 'AT+CREG?<CR>'
** (modem-manager:2399): DEBUG: (ttyACM0): <-- '<CR><LF>+CREG: 1,2<CR><LF>'
** (modem-manager:2399): DEBUG: (ttyACM0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2399): DEBUG: (ttyACM0): --> 'AT+CREG?<CR>'
** (modem-manager:2399): DEBUG: (ttyACM0): <-- '<CR><LF>+CREG: 1,2<CR><LF>'
** (modem-manager:2399): DEBUG: (ttyACM0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2399): DEBUG: (ttyACM0): --> 'AT+CREG?<CR>'
** (modem-manager:2399): DEBUG: (ttyACM0): <-- '<CR><LF>+CREG: 1,2<CR><LF>'
** (modem-manager:2399): DEBUG: (ttyACM0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2399): DEBUG: (ttyACM0): --> 'AT+CREG?<CR>'
** (modem-manager:2399): DEBUG: (ttyACM0): <-- '<CR><LF>+CREG: 1,2<CR><LF>'
** (modem-manager:2399): DEBUG: (ttyACM0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2399): DEBUG: (ttyACM0): --> 'AT+CREG?<CR>'
** (modem-manager:2399): DEBUG: (ttyACM0): <-- '<CR><LF>+CREG: 1,2<CR><LF>'
** (modem-manager:2399): DEBUG: (ttyACM0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2399): DEBUG: (ttyACM0): --> 'AT+CREG?<CR>'
** (modem-manager:2399): DEBUG: (ttyACM0): <-- '<CR><LF>+CREG: 1,2<CR><LF>'
** (modem-manager:2399): DEBUG: (ttyACM0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2399): DEBUG: (ttyACM0): --> 'AT+CREG?<CR>'
** (modem-manager:2399): DEBUG: (ttyACM0): <-- '<CR><LF>+CREG: 1,2<CR><LF>'
** (modem-manager:2399): DEBUG: (ttyACM0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2399): DEBUG: (ttyACM0): --> 'AT+CREG?<CR>'
** (modem-manager:2399): DEBUG: (ttyACM0): <-- '<CR><LF>+CREG: 1,2<CR><LF>'
** (modem-manager:2399): DEBUG: (ttyACM0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2399): DEBUG: (ttyACM0): --> 'AT+CREG?<CR>'
** (modem-manager:2399): DEBUG: (ttyACM0): <-- '<CR><LF>+CREG: 1,2<CR><LF>'
** (modem-manager:2399): DEBUG: (ttyACM0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2399): DEBUG: (ttyACM0): --> 'AT+CREG?<CR>'
** (modem-manager:2399): DEBUG: (ttyACM0): <-- '<CR><LF>+CREG: 1,2<CR><LF>'
** (modem-manager:2399): DEBUG: (ttyACM0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2399): DEBUG: (ttyACM0): --> 'AT+CREG?<CR>'
** (modem-manager:2399): DEBUG: (ttyACM0): <-- '<CR><LF>+CREG: 1,2<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:2399): DEBUG: (ttyACM0): --> 'AT+CREG?<CR>'
** (modem-manager:2399): DEBUG: (ttyACM0): <-- '<CR><LF>+CREG: 1,2<CR><LF>'
** (modem-manager:2399): DEBUG: (ttyACM0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2399): DEBUG: (ttyACM0): --> 'AT+CREG?<CR>'
** (modem-manager:2399): DEBUG: (ttyACM0): <-- '<CR><LF>+CREG: 1,2<CR><LF>'
** (modem-manager:2399): DEBUG: (ttyACM0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2399): DEBUG: (ttyACM0): --> 'AT+CREG?<CR>'
** (modem-manager:2399): DEBUG: (ttyACM0): <-- '<CR><LF>+CREG: 1,2<CR><LF>'
** (modem-manager:2399): DEBUG: (ttyACM0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2399): DEBUG: (ttyACM0): --> 'AT+CREG?<CR>'
** (modem-manager:2399): DEBUG: (ttyACM0): <-- '<CR><LF>+CREG: 1,2<CR><LF>'
** (modem-manager:2399): DEBUG: (ttyACM0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2399): DEBUG: (ttyACM0): --> 'AT+CREG?<CR>'
** (modem-manager:2399): DEBUG: (ttyACM0): <-- '<CR><LF>+CREG: 1,2<CR><LF>'
** (modem-manager:2399): DEBUG: (ttyACM0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2399): DEBUG: (ttyACM0): --> 'AT+CREG?<CR>'
** (modem-manager:2399): DEBUG: (ttyACM0): <-- '<CR><LF>+CREG: 1,2<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:2399): DEBUG: (ttyACM0): --> 'AT+CREG?<CR>'
** (modem-manager:2399): DEBUG: (ttyACM0): <-- '<CR><LF>+CREG: 1,2<CR><LF>'
** (modem-manager:2399): DEBUG: (ttyACM0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2399): DEBUG: (ttyACM0): <-- '<CR><LF>+CIEV: 5,0<CR><LF>'
** (modem-manager:2399): DEBUG: (ttyACM0): <-- '<CR><LF>+CIEV: 9,1<CR><LF>'
** (modem-manager:2399): DEBUG: (ttyACM0): --> 'AT+CREG?<CR>'
** (modem-manager:2399): DEBUG: (ttyACM0): <-- '<CR><LF>+CREG: 1,2<CR><LF>'
** (modem-manager:2399): DEBUG: (ttyACM0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2399): DEBUG: (ttyACM0): --> 'AT+CREG?<CR>'
** (modem-manager:2399): DEBUG: (ttyACM0): <-- '<CR><LF>+CREG: 1,2<CR><LF>'
** (modem-manager:2399): DEBUG: (ttyACM0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2399): DEBUG: (ttyACM0): <-- '<CR><LF>+CIEV: 2,1<CR><LF>'
** (modem-manager:2399): DEBUG: (ttyACM0): --> 'AT+CREG?<CR>'
** (modem-manager:2399): DEBUG: (ttyACM0): <-- '<CR><LF>+CREG: 1,2<CR><LF>'
** (modem-manager:2399): DEBUG: (ttyACM0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2399): DEBUG: (ttyACM0): --> 'AT+CREG?<CR>'
** (modem-manager:2399): DEBUG: (ttyACM0): <-- '<CR><LF>+CREG: 1,2<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:2399): DEBUG: (ttyACM0): --> 'AT+CREG?<CR>'
** (modem-manager:2399): DEBUG: (ttyACM0): <-- '<CR><LF>+CREG: 1,2<CR><LF>'
** (modem-manager:2399): DEBUG: (ttyACM0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2399): DEBUG: (ttyACM0): --> 'AT+CREG?<CR>'
** (modem-manager:2399): DEBUG: (ttyACM0): <-- '<CR><LF>+CREG: 1,2<CR><LF>'
** (modem-manager:2399): DEBUG: (ttyACM0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2399): DEBUG: (ttyACM0): <-- '<CR><LF>+CIEV: 2,0<CR><LF>'
** (modem-manager:2399): DEBUG: (ttyACM0): --> 'AT+CREG?<CR>'
** (modem-manager:2399): DEBUG: (ttyACM0): <-- '<CR><LF>+CREG: 1,2<CR><LF>'
** (modem-manager:2399): DEBUG: (ttyACM0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2399): DEBUG: (ttyACM0): --> 'AT+CREG?<CR>'
** (modem-manager:2399): DEBUG: (ttyACM0): <-- '<CR><LF>+CREG: 1,2<CR><LF>'
** (modem-manager:2399): DEBUG: (ttyACM0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2399): DEBUG: (ttyACM0): <-- '<CR><LF>+CIEV: 5,0<CR><LF>'
** (modem-manager:2399): DEBUG: (ttyACM0): <-- '<CR><LF>+CIEV: 9,1<CR><LF>'
** (modem-manager:2399): DEBUG: (ttyACM0): --> 'AT+CREG?<CR>'
** (modem-manager:2399): DEBUG: (ttyACM0): <-- '<CR><LF>+CREG: 1,2<CR><LF>'
** (modem-manager:2399): DEBUG: (ttyACM0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2399): DEBUG: (ttyACM0): --> 'AT+CREG?<CR>'
** (modem-manager:2399): DEBUG: (ttyACM0): <-- '<CR><LF>+CREG: 1,2<CR><LF>'
** (modem-manager:2399): DEBUG: (ttyACM0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2399): DEBUG: (ttyACM0): --> 'AT+CREG?<CR>'
** (modem-manager:2399): DEBUG: (ttyACM0): <-- '<CR><LF>+CREG: 1,2<CR><LF>'
** (modem-manager:2399): DEBUG: (ttyACM0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2399): DEBUG: (ttyACM0): --> 'AT+CREG?<CR>'
** (modem-manager:2399): DEBUG: (ttyACM0): <-- '<CR><LF>+CREG: 1,2<CR><LF>'
** (modem-manager:2399): DEBUG: (ttyACM0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2399): DEBUG: (ttyACM0): --> 'AT+CREG?<CR>'
** (modem-manager:2399): DEBUG: (ttyACM0): <-- '<CR><LF>+CREG: 1,2<CR><LF>'
** (modem-manager:2399): DEBUG: (ttyACM0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2399): DEBUG: (ttyACM0): --> 'AT+CREG?<CR>'
** (modem-manager:2399): DEBUG: (ttyACM0): <-- '<CR><LF>+CREG: 1,2<CR><LF>'
** (modem-manager:2399): DEBUG: (ttyACM0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2399): DEBUG: (ttyACM0): --> 'AT+CREG?<CR>'
** (modem-manager:2399): DEBUG: (ttyACM0): <-- '<CR><LF>+CREG: 1,2<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:2399): DEBUG: (ttyACM0): --> 'AT+CREG?<CR>'
** (modem-manager:2399): DEBUG: (ttyACM0): <-- '<CR><LF>+CREG: 1,2<CR><LF>'
** (modem-manager:2399): DEBUG: (ttyACM0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2399): DEBUG: (ttyACM0): --> 'AT+CREG?<CR>'
** (modem-manager:2399): DEBUG: (ttyACM0): <-- '<CR><LF>+CREG: 1,2<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:2399): DEBUG: (ttyACM0): --> 'AT+CREG?<CR>'
** (modem-manager:2399): DEBUG: (ttyACM0): <-- '<CR><LF>+CREG: 1,2<CR><LF>'
** (modem-manager:2399): DEBUG: (ttyACM0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2399): DEBUG: (ttyACM0): --> 'AT+CREG?<CR>'
** (modem-manager:2399): DEBUG: (ttyACM0): <-- '<CR><LF>+CREG: 1,2<CR><LF>'
** (modem-manager:2399): DEBUG: (ttyACM0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2399): DEBUG: (ttyACM0): --> 'AT+CREG?<CR>'
** (modem-manager:2399): DEBUG: (ttyACM0): <-- '<CR><LF>+CREG: 1,2<CR><LF><CR><LF>OK<CR><LF>'
** Message: (ttyACM0) closing serial device...
Comment 8 Bug Zapper 2009-11-16 07:38:06 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Andy Burns 2009-11-20 14:04:45 EST
Unfortunately I can confirm this problem still exists with the released F12.

Dan, I think you said this works OK with your 3507g, what network is that on? Is the vodafone ESTKSMENU confusing it?

my MM log now ...

** Message: Loaded plugin ZTE
** Message: Loaded plugin Novatel
** Message: Loaded plugin Option High-Speed
** Message: Loaded plugin Huawei
** Message: Loaded plugin Option
** Message: Loaded plugin Nokia
** Message: Loaded plugin Ericsson MBM
** Message: Loaded plugin Gobi
** Message: Loaded plugin Sierra
** Message: Loaded plugin MotoC
** Message: Loaded plugin Generic
** Message: (ttyACM0) opening serial device...
** (modem-manager:2387): DEBUG: (ttyACM0): probe requested by plugin 'Ericsson MBM'
** Message: (ttyACM1) opening serial device...
** (modem-manager:2387): DEBUG: (ttyACM1): probe requested by plugin 'Ericsson MBM'
** Message: (ttyACM2) opening serial device...
** (modem-manager:2387): DEBUG: (ttyACM2): probe requested by plugin 'Ericsson MBM'
** Message: (Ericsson MBM): GSM modem /sys/devices/pci0000:00/0000:00:1d.7/usb1/1-6 claimed port usb0
** (modem-manager:2387): DEBUG: Added modem /sys/devices/pci0000:00/0000:00:1d.7/usb1/1-6
** (modem-manager:2387): DEBUG: (ttyACM0): --> 'AT+GCAP<CR>'
** (modem-manager:2387): DEBUG: (ttyACM1): --> 'AT+GCAP<CR>'
** (modem-manager:2387): DEBUG: (ttyACM2): --> 'AT+GCAP<CR>'
** (modem-manager:2387): DEBUG: (ttyACM0): <-- 'AT+GCAP<CR><CR><LF>+GCAP: +CGSM, +DS<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:2387): DEBUG: (ttyACM1): <-- 'AT+GCAP<CR><CR><LF>+GCAP: +CGSM, +DS<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:2387): DEBUG: (ttyACM2): <-- 'AT+GCAP<CR><CR><LF>+GCAP: +CGSM, +DS<CR><LF><CR><LF>OK<CR><LF>'
** Message: (ttyACM0) closing serial device...
** Message: (ttyACM1) closing serial device...
** Message: (ttyACM2) closing serial device...
** (modem-manager:2387): DEBUG: Exported modem /sys/devices/pci0000:00/0000:00:1d.7/usb1/1-6 as /org/freedesktop/ModemManager/Modems/0
** Message: (Ericsson MBM): GSM modem /sys/devices/pci0000:00/0000:00:1d.7/usb1/1-6 claimed port ttyACM0
** Message: (Ericsson MBM): GSM modem /sys/devices/pci0000:00/0000:00:1d.7/usb1/1-6 claimed port ttyACM1
** Message: (Ericsson MBM): GSM modem /sys/devices/pci0000:00/0000:00:1d.7/usb1/1-6 claimed port ttyACM2
** Message: (ttyACM0) opening serial device...
** (modem-manager:2387): DEBUG: (ttyACM0): --> 'AT*EMRDY?<CR>'
** (modem-manager:2387): DEBUG: (ttyACM0): <-- 'AT*EMRDY?<CR>'
** (modem-manager:2387): DEBUG: (ttyACM0): <-- '<CR><LF>ERROR<CR><LF>'
** (modem-manager:2387): DEBUG: Got failure code 100: Unknown error
** (modem-manager:2387): DEBUG: (ttyACM0): --> 'AT&F E0 V1 X4 &C1 +CMEE=1<CR>'
** (modem-manager:2387): DEBUG: (ttyACM0): <-- 'AT&F E0 V1 X4 &C1 +CMEE=1<CR>'
** (modem-manager:2387): DEBUG: (ttyACM0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2387): DEBUG: (ttyACM0): --> 'AT+CFUN=1<CR>'
** (modem-manager:2387): DEBUG: (ttyACM0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2387): DEBUG: (ttyACM0): --> 'AT+CPIN?<CR>'
** (modem-manager:2387): DEBUG: (ttyACM0): <-- '<CR><LF>+CPIN: READY<CR><LF>'
** (modem-manager:2387): DEBUG: (ttyACM0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2387): DEBUG: (ttyACM0): --> 'AT+CREG=1<CR>'
** (modem-manager:2387): DEBUG: (ttyACM0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2387): DEBUG: (ttyACM0): --> 'AT+CMER=3,0,0,1<CR>'
** (modem-manager:2387): DEBUG: (ttyACM0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2387): DEBUG: (ttyACM0): --> 'AT+COPS=1,2,"23415"<CR>'
** (modem-manager:2387): DEBUG: (ttyACM0): --> 'AT+CREG?<CR>'
** (modem-manager:2387): DEBUG: (ttyACM0): <-- '<CR><LF>OK<CR><LF><CR><LF>*ESTKSMENU: Vodafone,0,9<LF><CR>1,My Vodafone+<LF><CR>2,Sport+<LF><CR>3,News&Weather+<LF><CR>4,Travel&Locate+<LF><CR>5,Horoscopes+<LF><CR>6,Naughty+<LF><CR>7,Entertainment+<LF><CR>8,Chat and Fun+<LF><CR>9,Services&Help+<LF><CR><CR><LF>'
** (modem-manager:2387): DEBUG: (ttyACM0): --> 'AT+CREG=0<CR>'
** (modem-manager:2387): DEBUG: (ttyACM0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2387): DEBUG: (ttyACM0): --> 'AT+CMER=0<CR>'
** (modem-manager:2387): DEBUG: (ttyACM0): <-- '<CR><LF>OK<CR><LF>'
** Message: (ttyACM0) closing serial device...
** (modem-manager:2387): DEBUG: Removed modem /sys/devices/pci0000:00/0000:00:1d.7/usb1/1-6
** Message: (ttyACM0) opening serial device...
** (modem-manager:2387): DEBUG: (ttyACM0): probe requested by plugin 'Ericsson MBM'
** (modem-manager:2387): DEBUG: (ttyACM0): <-- '<CR><LF>*EMRDY: 1<CR><LF>'
** Message: (Ericsson MBM): GSM modem /sys/devices/pci0000:00/0000:00:1d.7/usb1/1-6 claimed port usb0
** (modem-manager:2387): DEBUG: Added modem /sys/devices/pci0000:00/0000:00:1d.7/usb1/1-6
** Message: (ttyACM2) opening serial device...
** (modem-manager:2387): DEBUG: (ttyACM2): probe requested by plugin 'Ericsson MBM'
** (modem-manager:2387): DEBUG: (ttyACM2): <-- '<CR><LF>*EMRDY: 1<CR><LF>'
** (modem-manager:2387): DEBUG: (ttyACM0): --> 'AT+GCAP<CR>'
** Message: (ttyACM1) opening serial device...
** (modem-manager:2387): DEBUG: (ttyACM1): probe requested by plugin 'Ericsson MBM'
** (modem-manager:2387): DEBUG: (ttyACM0): <-- 'AT+GCAP<CR><CR><LF>+GCAP: +CGSM, +DS<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:2387): DEBUG: (ttyACM1): <-- '<CR><LF>*EMRDY: 1<CR><LF>'
** (modem-manager:2387): DEBUG: (ttyACM2): --> 'AT+GCAP<CR>'
** (modem-manager:2387): DEBUG: (ttyACM2): <-- 'AT+GCAP<CR><CR><LF>+GCAP: +CGSM, +DS<CR><LF><CR><LF>OK<CR><LF>'
** Message: (ttyACM0) closing serial device...
** (modem-manager:2387): DEBUG: (ttyACM1): --> 'AT+GCAP<CR>'
** (modem-manager:2387): DEBUG: (ttyACM1): <-- 'AT+GCAP<CR><CR><LF>+GCAP: +CGSM, +DS<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:2387): DEBUG: Exported modem /sys/devices/pci0000:00/0000:00:1d.7/usb1/1-6 as /org/freedesktop/ModemManager/Modems/1
** Message: (Ericsson MBM): GSM modem /sys/devices/pci0000:00/0000:00:1d.7/usb1/1-6 claimed port ttyACM0
** Message: (ttyACM2) closing serial device...
** Message: (Ericsson MBM): GSM modem /sys/devices/pci0000:00/0000:00:1d.7/usb1/1-6 claimed port ttyACM2
** Message: (ttyACM1) closing serial device...
** Message: (Ericsson MBM): GSM modem /sys/devices/pci0000:00/0000:00:1d.7/usb1/1-6 claimed port ttyACM1
Comment 10 Dan Williams 2009-12-04 23:16:59 EST
updates-testing should fix the ESTKMENU thing.

Beyond that, the logs where CREG keeps returning 1,2 mean the modem is still searching for a network and is not yet registered.  I'm attaching the 'mm-test.py' tool; run it simply with 'python mm-test.py' while modem-manager is running with --debug and lets see what we get.
Comment 11 Dan Williams 2009-12-04 23:17:48 EST
Created attachment 376264 [details]
ModemManager test program
Comment 12 Dan Williams 2009-12-04 23:18:32 EST
To test a connection, run it with:

mm-test.py --connect --apn <your apn> --user <username> --password <password>


and lets get some MM debuginfo from it.
Comment 13 Andy Burns 2009-12-05 03:31:42 EST
Sometimes the scan doesn't find any networks, e.g.

** Message: (ttyACM0) opening serial device...
** (modem-manager:2476): DEBUG: (ttyACM0): --> 'AT*EMRDY?<CR>'
** (modem-manager:2476): DEBUG: (ttyACM0): <-- 'AT*EMRDY?<CR>'
** (modem-manager:2476): DEBUG: (ttyACM0): <-- '<CR><LF>ERROR<CR><LF>'
** (modem-manager:2476): DEBUG: Got failure code 100: Unknown error
** (modem-manager:2476): DEBUG: (ttyACM0): --> 'AT&F E0 V1 X4 &C1 +CMEE=1<CR>'
** (modem-manager:2476): DEBUG: (ttyACM0): <-- 'AT&F E0 V1 X4 &C1 +CMEE=1<CR>'
** (modem-manager:2476): DEBUG: (ttyACM0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2476): DEBUG: (ttyACM0): --> 'AT*ENAP=0<CR>'
** (modem-manager:2476): DEBUG: (ttyACM0): <-- '<CR><LF>+CME ERROR: 263<CR><LF>'
** (modem-manager:2476): WARNING **: Invalid error code
** (modem-manager:2476): DEBUG: Got failure code 100: Unknown error
** (modem-manager:2476): DEBUG: (ttyACM0): --> 'AT+CFUN=1<CR>'
** (modem-manager:2476): DEBUG: (ttyACM0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2476): DEBUG: (ttyACM0): --> 'AT+CGMI<CR>'
** (modem-manager:2476): DEBUG: (ttyACM0): <-- '<CR><LF>Dell<CR><LF>'
** (modem-manager:2476): DEBUG: (ttyACM0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2476): DEBUG: (ttyACM0): --> 'AT+CGMM<CR>'
** (modem-manager:2476): DEBUG: (ttyACM0): <-- '<CR><LF>D5530<CR><LF>'
** (modem-manager:2476): DEBUG: (ttyACM0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2476): DEBUG: (ttyACM0): --> 'AT+CGMR<CR>'
** (modem-manager:2476): DEBUG: (ttyACM0): <-- '<CR><LF>R1A034<CR><LF>'
** (modem-manager:2476): DEBUG: (ttyACM0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2476): DEBUG: (ttyACM0): --> 'AT+CSQ<CR>'
** (modem-manager:2476): DEBUG: (ttyACM0): <-- '<CR><LF>+CSQ: 99,99<CR><LF>'
** (modem-manager:2476): DEBUG: (ttyACM0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2476): DEBUG: (ttyACM0): --> 'AT+COPS=?<CR>'
** (modem-manager:2476): DEBUG: (ttyACM0): <-- '<CR><LF>+CME ERROR: 30<CR><LF>'
** (modem-manager:2476): DEBUG: Got failure code 30: No network service
** (modem-manager:2476): DEBUG: (ttyACM0): <-- '<CR><LF>*ESTKSMENU: Vodafone,0,9<LF><CR>1,My Vodafone+<LF><CR>2,Sport+<LF><CR>3,News&Weather+<LF><CR>4,Travel&Locate+<LF><CR>5,Horoscopes+<LF><CR>6,Naughty+<LF><CR>7,Entertainment+<LF><CR>8,Chat and Fun+<LF><CR>9,Services&Help+<LF><CR><CR><LF><CR><LF>*EMWI: 1,0<CR><LF><CR><LF>+PACSP0<CR><LF>'
** Message: (ttyACM0) closing serial device...

seems the SIM toolkit menu (ESTKMENU) sill appears on the first run after startup, but not after that

** Message: (ttyACM0) opening serial device...
** (modem-manager:2476): DEBUG: (ttyACM0): --> 'AT&F E0 V1 X4 &C1 +CMEE=1<CR>'
** (modem-manager:2476): DEBUG: (ttyACM0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2476): DEBUG: (ttyACM0): --> 'AT*ENAP=0<CR>'
** (modem-manager:2476): DEBUG: (ttyACM0): <-- '<CR><LF>ERROR<CR><LF>'
** (modem-manager:2476): DEBUG: Got failure code 100: Unknown error
** (modem-manager:2476): DEBUG: (ttyACM0): --> 'AT+CFUN=1<CR>'
** (modem-manager:2476): DEBUG: (ttyACM0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2476): DEBUG: (ttyACM0): --> 'AT+CSQ<CR>'
** (modem-manager:2476): DEBUG: (ttyACM0): <-- '<CR><LF>+CSQ: 99,99<CR><LF>'
** (modem-manager:2476): DEBUG: (ttyACM0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2476): DEBUG: (ttyACM0): --> 'AT+COPS=?<CR>'
** (modem-manager:2476): DEBUG: (ttyACM0): <-- '<CR><LF>+CME ERROR: 30<CR><LF>'
** (modem-manager:2476): DEBUG: Got failure code 30: No network service
** Message: (ttyACM0) closing serial device...

GSM modem
Driver: 'cdc_ether'
Modem device: '/sys/devices/pci0000:00/0000:00:1d.7/usb1/1-6'
Data device: 'usb0'
Vendor:  Dell
Model:   D5530
Version: R1A034
IMEI: <private>
IMSI: <private>
Error reading signal quality: org.freedesktop.ModemManager.Modem.Gsm.NoNetwork: No service
Scanning...
Error scanning: org.freedesktop.ModemManager.Modem.Gsm.NoNetwork: No network service

=================================

Other times it will find between one and three networks, but never the vodafone network it needs (I know from using a huawei USB dongle rather than the internal SonyEricsson PCIe card that NM/MM will connect to vodafone in this location at over 1Mbps)

GSM modem
Driver: 'cdc_ether'
Modem device: '/sys/devices/pci0000:00/0000:00:1d.7/usb1/1-6'
Data device: 'usb0'
Vendor:  Dell
Model:   D5530
Version: R1A034
IMEI: <private>
IMSI: <private>
Signal quality: 9
Scanning...
T-Mobile UK: forbidden (GSM)
Orange: forbidden (UMTS)

** Message: (ttyACM0) opening serial device...
** (modem-manager:2570): DEBUG: (ttyACM0): --> 'AT&F E0 V1 X4 &C1 +CMEE=1<CR>'
** (modem-manager:2570): DEBUG: (ttyACM0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2570): DEBUG: (ttyACM0): --> 'AT*ENAP=0<CR>'
** (modem-manager:2570): DEBUG: (ttyACM0): <-- '<CR><LF>ERROR<CR><LF>'
** (modem-manager:2570): DEBUG: Got failure code 100: Unknown error
** (modem-manager:2570): DEBUG: (ttyACM0): --> 'AT+CFUN=1<CR>'
** (modem-manager:2570): DEBUG: (ttyACM0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2570): DEBUG: (ttyACM0): --> 'AT+CSQ<CR>'
** (modem-manager:2570): DEBUG: (ttyACM0): <-- '<CR><LF>+CSQ: 3,99<CR><LF>'
** (modem-manager:2570): DEBUG: (ttyACM0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2570): DEBUG: (ttyACM0): --> 'AT+COPS=?<CR>'
** (modem-manager:2570): DEBUG: (ttyACM0): <-- '<CR><LF>+COPS: (3,"T-Mobile UK","T-Mobile UK","23430",0),(3,"Orange","Orange","23433",2)<CR><LF>'
** (modem-manager:2570): DEBUG: (ttyACM0): <-- '<CR><LF>OK<CR><LF>'
** Message: (ttyACM0) closing serial device...

==========================

GSM modem
Driver: 'cdc_ether'
Modem device: '/sys/devices/pci0000:00/0000:00:1d.7/usb1/1-6'
Data device: 'usb0'
Vendor:  Dell
Model:   D5530
Version: R1A034
IMEI: <private>
IMSI: <private>
Signal quality: 12
Scanning...
T-Mobile UK: forbidden (GSM)
Orange: forbidden (UMTS)
Error connecting: org.freedesktop.ModemManager.Modem.Gsm.NetworkTimeout: Network timeout

** Message: (ttyACM0) opening serial device...
** (modem-manager:2570): DEBUG: (ttyACM0): --> 'AT&F E0 V1 X4 &C1 +CMEE=1<CR>'
** (modem-manager:2570): DEBUG: (ttyACM0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2570): DEBUG: (ttyACM0): --> 'AT*ENAP=0<CR>'
** (modem-manager:2570): DEBUG: (ttyACM0): <-- '<CR><LF>ERROR<CR><LF>'
** (modem-manager:2570): DEBUG: Got failure code 100: Unknown error
** (modem-manager:2570): DEBUG: (ttyACM0): --> 'AT+CFUN=1<CR>'
** (modem-manager:2570): DEBUG: (ttyACM0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2570): DEBUG: (ttyACM0): --> 'AT+CSQ<CR>'
** (modem-manager:2570): DEBUG: (ttyACM0): <-- '<CR><LF>+CSQ: 3,99<CR><LF>'
** (modem-manager:2570): DEBUG: (ttyACM0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2570): DEBUG: (ttyACM0): --> 'AT+COPS=?<CR>'
** (modem-manager:2570): DEBUG: (ttyACM0): <-- '<CR><LF>+COPS: (3,"T-Mobile UK","T-Mobile UK","23430",0)<CR><LF>'
** (modem-manager:2570): DEBUG: (ttyACM0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2570): DEBUG: (ttyACM0): --> 'AT&F E0 V1 X4 &C1 +CMEE=1<CR>'
** (modem-manager:2570): DEBUG: (ttyACM0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2570): DEBUG: (ttyACM0): --> 'AT*ENAP=0<CR>'
** (modem-manager:2570): DEBUG: (ttyACM0): <-- '<CR><LF>ERROR<CR><LF>'
** (modem-manager:2570): DEBUG: Got failure code 100: Unknown error
** (modem-manager:2570): DEBUG: (ttyACM0): --> 'AT+CFUN=1<CR>'
** (modem-manager:2570): DEBUG: (ttyACM0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2570): DEBUG: (ttyACM0): --> 'AT+CPIN?<CR>'
** (modem-manager:2570): DEBUG: (ttyACM0): <-- '<CR><LF>+CPIN: READY<CR><LF>'
** (modem-manager:2570): DEBUG: (ttyACM0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2570): DEBUG: (ttyACM0): --> 'AT+CREG=1<CR>'
** (modem-manager:2570): DEBUG: (ttyACM0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2570): DEBUG: (ttyACM0): --> 'AT+CMER=3,0,0,1<CR>'
** (modem-manager:2570): DEBUG: (ttyACM0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2570): DEBUG: (ttyACM0): --> 'AT+COPS=0,,<CR>'
** (modem-manager:2570): DEBUG: (ttyACM0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2570): DEBUG: (ttyACM0): --> 'AT+CREG?<CR>'
** (modem-manager:2570): DEBUG: (ttyACM0): <-- '<CR><LF>+CREG: 1,2<CR><LF>'
** (modem-manager:2570): DEBUG: (ttyACM0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2570): DEBUG: Registration state changed: 2
** (modem-manager:2570): DEBUG: (ttyACM0): --> 'AT+CREG?<CR>'
** (modem-manager:2570): DEBUG: (ttyACM0): <-- '<CR><LF>+CREG: 1,2<CR><LF>'
** (modem-manager:2570): DEBUG: (ttyACM0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2570): DEBUG: (ttyACM0): --> 'AT+CREG?<CR>'
** (modem-manager:2570): DEBUG: (ttyACM0): <-- '<CR><LF>+CREG: 1,2<CR><LF>'
** (modem-manager:2570): DEBUG: (ttyACM0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2570): DEBUG: (ttyACM0): --> 'AT+CREG?<CR>'
** (modem-manager:2570): DEBUG: (ttyACM0): <-- '<CR><LF>+CREG: 1,2<CR><LF>'
** (modem-manager:2570): DEBUG: (ttyACM0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2570): DEBUG: (ttyACM0): --> 'AT+CREG?<CR>'
** (modem-manager:2570): DEBUG: (ttyACM0): <-- '<CR><LF>+CREG: 1,2<CR><LF>'
** (modem-manager:2570): DEBUG: (ttyACM0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2570): DEBUG: (ttyACM0): --> 'AT+CREG?<CR>'
** (modem-manager:2570): DEBUG: (ttyACM0): <-- '<CR><LF>+CREG: 1,2<CR><LF>'
** (modem-manager:2570): DEBUG: (ttyACM0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2570): DEBUG: (ttyACM0): --> 'AT+CREG?<CR>'
** (modem-manager:2570): DEBUG: (ttyACM0): <-- '<CR><LF>+CREG: 1,2<CR><LF>'
** (modem-manager:2570): DEBUG: (ttyACM0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2570): DEBUG: (ttyACM0): --> 'AT+CREG?<CR>'
** (modem-manager:2570): DEBUG: (ttyACM0): <-- '<CR><LF>+CREG: 1,2<CR><LF>'
** (modem-manager:2570): DEBUG: (ttyACM0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2570): DEBUG: (ttyACM0): --> 'AT+CREG?<CR>'
** (modem-manager:2570): DEBUG: (ttyACM0): <-- '<CR><LF>+CREG: 1,2<CR><LF>'
** (modem-manager:2570): DEBUG: (ttyACM0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2570): DEBUG: (ttyACM0): --> 'AT+CREG?<CR>'
** (modem-manager:2570): DEBUG: (ttyACM0): <-- '<CR><LF>+CREG: 1,2<CR><LF>'
** (modem-manager:2570): DEBUG: (ttyACM0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2570): DEBUG: (ttyACM0): --> 'AT+CREG?<CR>'
** (modem-manager:2570): DEBUG: (ttyACM0): <-- '<CR><LF>+CREG: 1,2<CR><LF>'
** (modem-manager:2570): DEBUG: (ttyACM0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2570): DEBUG: (ttyACM0): --> 'AT+CREG?<CR>'
** (modem-manager:2570): DEBUG: (ttyACM0): <-- '<CR><LF>+CREG: 1,2<CR><LF>'
** (modem-manager:2570): DEBUG: (ttyACM0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2570): DEBUG: (ttyACM0): --> 'AT+CREG?<CR>'
** (modem-manager:2570): DEBUG: (ttyACM0): <-- '<CR><LF>+CREG: 1,2<CR><LF>'
** (modem-manager:2570): DEBUG: (ttyACM0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2570): DEBUG: (ttyACM0): --> 'AT+CREG?<CR>'
** (modem-manager:2570): DEBUG: (ttyACM0): <-- '<CR><LF>+CREG: 1,2<CR><LF>'
** (modem-manager:2570): DEBUG: (ttyACM0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2570): DEBUG: (ttyACM0): --> 'AT+CREG?<CR>'
** (modem-manager:2570): DEBUG: (ttyACM0): <-- '<CR><LF>+CREG: 1,2<CR><LF>'
** (modem-manager:2570): DEBUG: (ttyACM0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2570): DEBUG: (ttyACM0): --> 'AT+CREG?<CR>'
** (modem-manager:2570): DEBUG: (ttyACM0): <-- '<CR><LF>+CREG: 1,2<CR><LF>'
** (modem-manager:2570): DEBUG: (ttyACM0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2570): DEBUG: (ttyACM0): --> 'AT+CREG?<CR>'
** (modem-manager:2570): DEBUG: (ttyACM0): <-- '<CR><LF>+CREG: 1,2<CR><LF>'
** (modem-manager:2570): DEBUG: (ttyACM0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2570): DEBUG: (ttyACM0): --> 'AT+CREG?<CR>'
** (modem-manager:2570): DEBUG: (ttyACM0): <-- '<CR><LF>+CREG: 1,2<CR><LF>'
** (modem-manager:2570): DEBUG: (ttyACM0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2570): DEBUG: (ttyACM0): --> 'AT+CREG?<CR>'
** (modem-manager:2570): DEBUG: (ttyACM0): <-- '<CR><LF>+CREG: 1,2<CR><LF>'
** (modem-manager:2570): DEBUG: (ttyACM0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2570): DEBUG: (ttyACM0): --> 'AT+CREG?<CR>'
** (modem-manager:2570): DEBUG: (ttyACM0): <-- '<CR><LF>+CREG: 1,2<CR><LF>'
** (modem-manager:2570): DEBUG: (ttyACM0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2570): DEBUG: (ttyACM0): --> 'AT+CREG?<CR>'
** (modem-manager:2570): DEBUG: (ttyACM0): <-- '<CR><LF>+CREG: 1,2<CR><LF>'
** (modem-manager:2570): DEBUG: (ttyACM0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2570): DEBUG: (ttyACM0): --> 'AT+CREG?<CR>'
** (modem-manager:2570): DEBUG: (ttyACM0): <-- '<CR><LF>+CREG: 1,2<CR><LF>'
** (modem-manager:2570): DEBUG: (ttyACM0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2570): DEBUG: (ttyACM0): --> 'AT+CREG?<CR>'
** (modem-manager:2570): DEBUG: (ttyACM0): <-- '<CR><LF>+CREG: 1,2<CR><LF>'
** (modem-manager:2570): DEBUG: (ttyACM0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2570): DEBUG: (ttyACM0): --> 'AT+CREG?<CR>'
** (modem-manager:2570): DEBUG: (ttyACM0): <-- '<CR><LF>+CREG: 1,2<CR><LF>'
** (modem-manager:2570): DEBUG: (ttyACM0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2570): DEBUG: (ttyACM0): --> 'AT+CREG?<CR>'
** (modem-manager:2570): DEBUG: (ttyACM0): <-- '<CR><LF>+CREG: 1,2<CR><LF>'
** (modem-manager:2570): DEBUG: (ttyACM0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2570): DEBUG: (ttyACM0): --> 'AT+CREG?<CR>'
** (modem-manager:2570): DEBUG: (ttyACM0): <-- '<CR><LF>+CREG: 1,2<CR><LF>'
** (modem-manager:2570): DEBUG: (ttyACM0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2570): DEBUG: (ttyACM0): --> 'AT+CREG?<CR>'
** (modem-manager:2570): DEBUG: (ttyACM0): <-- '<CR><LF>+CREG: 1,2<CR><LF>'
** (modem-manager:2570): DEBUG: (ttyACM0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2570): DEBUG: (ttyACM0): --> 'AT+CREG?<CR>'
** (modem-manager:2570): DEBUG: (ttyACM0): <-- '<CR><LF>+CREG: 1,2<CR><LF>'
** (modem-manager:2570): DEBUG: (ttyACM0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2570): DEBUG: (ttyACM0): --> 'AT+CREG?<CR>'
** (modem-manager:2570): DEBUG: (ttyACM0): <-- '<CR><LF>+CREG: 1,2<CR><LF>'
** (modem-manager:2570): DEBUG: (ttyACM0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2570): DEBUG: (ttyACM0): --> 'AT+CREG?<CR>'
** (modem-manager:2570): DEBUG: (ttyACM0): <-- '<CR><LF>+CREG: 1,2<CR><LF>'
** (modem-manager:2570): DEBUG: (ttyACM0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2570): DEBUG: (ttyACM0): --> 'AT+CREG?<CR>'
** (modem-manager:2570): DEBUG: (ttyACM0): <-- '<CR><LF>+CREG: 1,2<CR><LF>'
** (modem-manager:2570): DEBUG: (ttyACM0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2570): DEBUG: (ttyACM0): --> 'AT+CREG?<CR>'
** (modem-manager:2570): DEBUG: (ttyACM0): <-- '<CR><LF>+CREG: 1,2<CR><LF>'
** (modem-manager:2570): DEBUG: (ttyACM0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2570): DEBUG: (ttyACM0): --> 'AT+CREG?<CR>'
** (modem-manager:2570): DEBUG: (ttyACM0): <-- '<CR><LF>+CREG: 1,2<CR><LF>'
** (modem-manager:2570): DEBUG: (ttyACM0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2570): DEBUG: (ttyACM0): --> 'AT+CREG?<CR>'
** (modem-manager:2570): DEBUG: (ttyACM0): <-- '<CR><LF>+CREG: 1,2<CR><LF>'
** (modem-manager:2570): DEBUG: (ttyACM0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2570): DEBUG: (ttyACM0): --> 'AT+CREG?<CR>'
** (modem-manager:2570): DEBUG: (ttyACM0): <-- '<CR><LF>+CREG: 1,2<CR><LF>'
** (modem-manager:2570): DEBUG: (ttyACM0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2570): DEBUG: (ttyACM0): --> 'AT+CREG?<CR>'
** (modem-manager:2570): DEBUG: (ttyACM0): <-- '<CR><LF>+CREG: 1,2<CR><LF>'
** (modem-manager:2570): DEBUG: (ttyACM0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2570): DEBUG: (ttyACM0): --> 'AT+CREG?<CR>'
** (modem-manager:2570): DEBUG: (ttyACM0): <-- '<CR><LF>+CREG: 1,2<CR><LF>'
** (modem-manager:2570): DEBUG: (ttyACM0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2570): DEBUG: (ttyACM0): --> 'AT+CREG?<CR>'
** (modem-manager:2570): DEBUG: (ttyACM0): <-- '<CR><LF>+CREG: 1,2<CR><LF>'
** (modem-manager:2570): DEBUG: (ttyACM0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2570): DEBUG: (ttyACM0): --> 'AT+CREG?<CR>'
** (modem-manager:2570): DEBUG: (ttyACM0): <-- '<CR><LF>+CREG: 1,2<CR><LF>'
** (modem-manager:2570): DEBUG: (ttyACM0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2570): DEBUG: (ttyACM0): --> 'AT+CREG?<CR>'
** (modem-manager:2570): DEBUG: (ttyACM0): <-- '<CR><LF>+CREG: 1,2<CR><LF>'
** (modem-manager:2570): DEBUG: (ttyACM0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2570): DEBUG: (ttyACM0): --> 'AT+CREG?<CR>'
** (modem-manager:2570): DEBUG: (ttyACM0): <-- '<CR><LF>+CREG: 1,2<CR><LF>'
** (modem-manager:2570): DEBUG: (ttyACM0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2570): DEBUG: (ttyACM0): --> 'AT+CREG?<CR>'
** (modem-manager:2570): DEBUG: (ttyACM0): <-- '<CR><LF>+CREG: 1,2<CR><LF>'
** (modem-manager:2570): DEBUG: (ttyACM0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2570): DEBUG: (ttyACM0): --> 'AT+CREG?<CR>'
** (modem-manager:2570): DEBUG: (ttyACM0): <-- '<CR><LF>+CREG: 1,2<CR><LF>'
** (modem-manager:2570): DEBUG: (ttyACM0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2570): DEBUG: (ttyACM0): --> 'AT+CREG?<CR>'
** (modem-manager:2570): DEBUG: (ttyACM0): <-- '<CR><LF>+CREG: 1,2<CR><LF>'
** (modem-manager:2570): DEBUG: (ttyACM0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2570): DEBUG: (ttyACM0): --> 'AT+CREG?<CR>'
** (modem-manager:2570): DEBUG: (ttyACM0): <-- '<CR><LF>+CREG: 1,2<CR><LF>'
** (modem-manager:2570): DEBUG: (ttyACM0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2570): DEBUG: (ttyACM0): --> 'AT+CREG?<CR>'
** (modem-manager:2570): DEBUG: (ttyACM0): <-- '<CR><LF>+CREG: 1,2<CR><LF>'
** (modem-manager:2570): DEBUG: (ttyACM0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2570): DEBUG: (ttyACM0): --> 'AT+CREG?<CR>'
** (modem-manager:2570): DEBUG: (ttyACM0): <-- '<CR><LF>+CREG: 1,2<CR><LF>'
** (modem-manager:2570): DEBUG: (ttyACM0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2570): DEBUG: (ttyACM0): --> 'AT+CREG?<CR>'
** (modem-manager:2570): DEBUG: (ttyACM0): <-- '<CR><LF>+CREG: 1,2<CR><LF>'
** (modem-manager:2570): DEBUG: (ttyACM0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2570): DEBUG: (ttyACM0): --> 'AT+CREG?<CR>'
** (modem-manager:2570): DEBUG: (ttyACM0): <-- '<CR><LF>+CREG: 1,2<CR><LF>'
** (modem-manager:2570): DEBUG: (ttyACM0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2570): DEBUG: (ttyACM0): --> 'AT+CREG?<CR>'
** (modem-manager:2570): DEBUG: (ttyACM0): <-- '<CR><LF>+CREG: 1,2<CR><LF>'
** (modem-manager:2570): DEBUG: (ttyACM0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2570): DEBUG: (ttyACM0): --> 'AT+CREG?<CR>'
** (modem-manager:2570): DEBUG: (ttyACM0): <-- '<CR><LF>+CREG: 1,2<CR><LF>'
** (modem-manager:2570): DEBUG: (ttyACM0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2570): DEBUG: (ttyACM0): --> 'AT+CREG?<CR>'
** (modem-manager:2570): DEBUG: (ttyACM0): <-- '<CR><LF>+CREG: 1,2<CR><LF>'
** (modem-manager:2570): DEBUG: (ttyACM0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2570): DEBUG: (ttyACM0): --> 'AT+CREG?<CR>'
** (modem-manager:2570): DEBUG: (ttyACM0): <-- '<CR><LF>+CREG: 1,2<CR><LF>'
** (modem-manager:2570): DEBUG: (ttyACM0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2570): DEBUG: (ttyACM0): --> 'AT+CREG?<CR>'
** (modem-manager:2570): DEBUG: (ttyACM0): <-- '<CR><LF>+CREG: 1,2<CR><LF>'
** (modem-manager:2570): DEBUG: (ttyACM0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2570): DEBUG: (ttyACM0): --> 'AT+CREG?<CR>'
** (modem-manager:2570): DEBUG: (ttyACM0): <-- '<CR><LF>+CREG: 1,2<CR><LF>'
** (modem-manager:2570): DEBUG: (ttyACM0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2570): DEBUG: (ttyACM0): --> 'AT+CREG?<CR>'
** (modem-manager:2570): DEBUG: (ttyACM0): <-- '<CR><LF>+CREG: 1,2<CR><LF>'
** (modem-manager:2570): DEBUG: (ttyACM0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2570): DEBUG: (ttyACM0): --> 'AT+CREG?<CR>'
** (modem-manager:2570): DEBUG: (ttyACM0): <-- '<CR><LF>+CREG: 1,2<CR><LF>'
** (modem-manager:2570): DEBUG: (ttyACM0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2570): DEBUG: (ttyACM0): --> 'AT+CREG?<CR>'
** (modem-manager:2570): DEBUG: (ttyACM0): <-- '<CR><LF>+CREG: 1,2<CR><LF>'
** (modem-manager:2570): DEBUG: (ttyACM0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2570): DEBUG: (ttyACM0): --> 'AT+CREG?<CR>'
** (modem-manager:2570): DEBUG: (ttyACM0): <-- '<CR><LF>+CREG: 1,2<CR><LF>'
** (modem-manager:2570): DEBUG: (ttyACM0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2570): DEBUG: (ttyACM0): --> 'AT+CREG?<CR>'
** (modem-manager:2570): DEBUG: (ttyACM0): <-- '<CR><LF>+CREG: 1,2<CR><LF>'
** (modem-manager:2570): DEBUG: (ttyACM0): <-- '<CR><LF>OK<CR><LF>'
** Message: (ttyACM0) closing serial device...

========================

I have tried making a connetion with the NM panel icon, still no joy, I tried with and without providing the MCC/MNC for vodafone 23415.

It never seems to spend the full 120 seconds doing a scan, just 20 seconds or so usually, I've run mm-test about fifty times to see if it ever finds the right network.

I only updated MM from updates-testing, is there any reason to update NM too?
Comment 14 Andy Burns 2009-12-06 15:23:27 EST
Just to check network coverage I transferred the SIM to the Huawei dongle and ran mm-test

GSM modem
Driver: 'option1'
Modem device: '/sys/devices/pci0000:00/0000:00:1d.7/usb1/1-8'
Data device: 'ttyUSB0'
Vendor:  huawei
Model:   K3565
Version: 11.608.10.51.00
IMEI: <private>
IMSI: <private>
Signal quality: 19
Scanning...
vodafone UK: available (GSM)
vodafone UK: current (UMTS)
T-Mobile UK: forbidden (GSM)
Orange: forbidden (UMTS)
Orange: forbidden (GSM)
3 UK: forbidden (UMTS)
T-Mobile UK: forbidden (UMTS)
O2 - UK: forbidden (GSM)
O2 - UK: forbidden (UMTS)

** Message: (ttyUSB0) opening serial device...
** (modem-manager:2570): DEBUG: (ttyUSB0): --> 'ATZ E0 V1 +CMEE=1<CR>'
** (modem-manager:2570): DEBUG: (ttyUSB0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2570): DEBUG: (ttyUSB0): --> 'ATE0 +CMEE=1<CR>'
** (modem-manager:2570): DEBUG: (ttyUSB0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2570): DEBUG: (ttyUSB0): --> 'ATX4 &C1<CR>'
** (modem-manager:2570): DEBUG: (ttyUSB0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2570): DEBUG: (ttyUSB0): --> 'AT+CREG=1<CR>'
** (modem-manager:2570): DEBUG: (ttyUSB0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2570): DEBUG: (ttyUSB0): --> 'AT+CFUN=1<CR>'
** (modem-manager:2570): DEBUG: (ttyUSB0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2570): DEBUG: (ttyUSB0): --> 'AT+CGMI<CR>'
** (modem-manager:2570): DEBUG: (ttyUSB0): <-- '<CR><LF>huawei<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:2570): DEBUG: (ttyUSB0): --> 'AT+CGMM<CR>'
** (modem-manager:2570): DEBUG: (ttyUSB0): <-- '<CR><LF>K3565<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:2570): DEBUG: (ttyUSB0): --> 'AT+CGMR<CR>'
** (modem-manager:2570): DEBUG: (ttyUSB0): <-- '<CR><LF>11.608.10.51.00<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:2570): DEBUG: (ttyUSB0): --> 'AT+CSQ<CR>'
** (modem-manager:2570): DEBUG: (ttyUSB0): <-- '<CR><LF>+CSQ: 6,99<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:2570): DEBUG: (ttyUSB0): --> 'AT+COPS=?<CR>'
** (modem-manager:2570): DEBUG: (ttyUSB0): <-- '<CR><LF>+COPS: (1,"vodafone UK","voda UK","23415",0),(2,"vodafone UK","voda UK","23415",2),(3,"T-Mobile UK","TMO UK","23430",0),(3,"Orange","Orange","23433",2),(3,"Orange","Orange","23433",0),(3,"3 UK","3 UK","23420",2),(3,"T-Mobile UK","TMO UK","23430",2),(3,"O2 - UK","O2 - UK","23410",0),(3,"O2 - UK","O2 - UK","23410",2),,(0,1,2,3,4),(0,1,2)<CR><LF><CR><LF>OK<CR><LF>'
** Message: (ttyUSB0) closing serial device...
Comment 15 Dan Williams 2009-12-06 16:24:43 EST
Any idea if it works correctly in Windows?  I've got a 5530 (which I use for testing and MM qualification too) and don't see these sorts of issues, but I only have 2 networks in range here in the US (T-Mobile and AT&T).

This behavior of the device is pretty weird, given that it doesn't seen half the networks.  If the device behaves the same way under Windows I'd suspect either firmware or loose antenna connections.  If it *doesn't* work the same way under Windows then I have a few people at Ericsson that I can try to talk to about it.  But given that the Huawei dongle sees all your networks, I think we can rule out any kernel or generic ModemManager issues.  The 5530 also sees at least one UMTS network (even though it's forbidden) so that means it's not a mode-locking problem.
Comment 16 Andy Burns 2009-12-06 16:38:55 EST
(In reply to comment #15)

> Any idea if it works correctly in Windows? 

Well, I don't have windows on the Mini9 (only 8GB flash drive)

but I do have a Latitude E6500 with another 5530 in it running XP and it works there, and I have swapped the 5530 cards between the machines to try and eliminate any issue that might be caused by different firmware versions.

> This behavior of the device is pretty weird, given that it doesn't seen half
> the networks. 

I'll whip the cover off and double check the aerial connections
Comment 17 Graham Biswell 2009-12-10 17:37:05 EST
I'm seeing something similar with an Ericsson F3507g (R1B/1 firmware) in a T500 connecting to Vodafone UK.

I'm assuming the hardware is all ok as wvdial works fine.

The NM profile i'm using is the one i've used for a long time with this SIM but in a Nozomi pcmcia card, so i'm assuming that's also ok.

I've just tried ModemManager-0.2.997-1.fc12.x86_64 & that's exhibiting this.

First attempt to connect using NM, seems to detect Vodafone UK (unlike above) but still returns an error 100:

** Message: (ttyACM1) opening serial device...
** Message: Modem /org/freedesktop/ModemManager/Modems/1: state changed (disabled -> enabling)
** (modem-manager:20726): DEBUG: (ttyACM1): --> 'AT*EMRDY?<CR>'
** (modem-manager:20726): DEBUG: (ttyACM1): <-- 'AT*EMRDY?<CR>'
** (modem-manager:20726): DEBUG: (ttyACM1): <-- '<CR><LF>ERROR<CR><LF>'
** (modem-manager:20726): DEBUG: Got failure code 100: Unknown error
** (modem-manager:20726): DEBUG: (ttyACM1): --> 'AT&F E0 V1 X4 &C1 +CMEE=1<CR>'
** (modem-manager:20726): DEBUG: (ttyACM1): <-- 'AT&F E0 V1 X4 &C1 +CMEE=1<CR>'
** (modem-manager:20726): DEBUG: (ttyACM1): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:20726): DEBUG: (ttyACM1): --> 'AT*ENAP=0<CR>'
** (modem-manager:20726): DEBUG: (ttyACM1): <-- '<CR><LF>+CME ERROR: 263<CR><LF>'

** (modem-manager:20726): WARNING **: Invalid error code
** (modem-manager:20726): DEBUG: Got failure code 100: Unknown error
** (modem-manager:20726): DEBUG: (ttyACM1): --> 'AT+CFUN=5<CR>'
** (modem-manager:20726): DEBUG: (ttyACM1): <-- '<CR><LF>OK<CR><LF>'
** Message: Modem /org/freedesktop/ModemManager/Modems/1: state changed (enabling -> enabled)
** (modem-manager:20726): DEBUG: (ttyACM1): --> 'AT+CPIN?<CR>'
** (modem-manager:20726): DEBUG: (ttyACM1): <-- '<CR><LF>+CPIN: READY<CR><LF>'
** (modem-manager:20726): DEBUG: (ttyACM1): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:20726): DEBUG: (ttyACM1): --> 'AT+CREG=1<CR>'
** (modem-manager:20726): DEBUG: (ttyACM1): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:20726): DEBUG: (ttyACM1): --> 'AT+CMER=3,0,0,1<CR>'
** (modem-manager:20726): DEBUG: (ttyACM1): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:20726): DEBUG: (ttyACM1): --> 'AT+COPS=0,,<CR>'
** (modem-manager:20726): DEBUG: (ttyACM1): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:20726): DEBUG: (ttyACM1): --> 'AT+CREG?<CR>'
** (modem-manager:20726): DEBUG: (ttyACM1): <-- '<CR><LF>+CREG: 1,4<CR><LF>'
** (modem-manager:20726): DEBUG: (ttyACM1): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:20726): DEBUG: Registration state changed: 4
** (modem-manager:20726): DEBUG: (ttyACM1): --> 'AT+CREG?<CR>'
** (modem-manager:20726): DEBUG: (ttyACM1): <-- '<CR><LF>+CREG: 1,4<CR><LF>'
** (modem-manager:20726): DEBUG: (ttyACM1): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:20726): DEBUG: (ttyACM1): --> 'AT+CREG?<CR>'
** (modem-manager:20726): DEBUG: (ttyACM1): <-- '<CR><LF>+CREG: 1,4<CR><LF>'
** (modem-manager:20726): DEBUG: (ttyACM1): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:20726): DEBUG: (ttyACM1): --> 'AT+CREG?<CR>'
** (modem-manager:20726): DEBUG: (ttyACM1): <-- '<CR><LF>+CREG: 1,4<CR><LF>'
** (modem-manager:20726): DEBUG: (ttyACM1): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:20726): DEBUG: (ttyACM1): --> 'AT+CREG?<CR>'
** (modem-manager:20726): DEBUG: (ttyACM1): <-- '<CR><LF>+CREG: 1,4<CR><LF>'
** (modem-manager:20726): DEBUG: (ttyACM1): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:20726): DEBUG: (ttyACM1): --> 'AT+CREG?<CR>'
** (modem-manager:20726): DEBUG: (ttyACM1): <-- '<CR><LF>+CREG: 1,4<CR><LF>'
** (modem-manager:20726): DEBUG: (ttyACM1): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:20726): DEBUG: (ttyACM1): --> 'AT+CREG?<CR>'
** (modem-manager:20726): DEBUG: (ttyACM1): <-- '<CR><LF>+CREG: 1,4<CR><LF>'
** (modem-manager:20726): DEBUG: (ttyACM1): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:20726): DEBUG: (ttyACM1): --> 'AT+CREG?<CR>'
** (modem-manager:20726): DEBUG: (ttyACM1): <-- '<CR><LF>+CREG: 1,4<CR><LF>'
** (modem-manager:20726): DEBUG: (ttyACM1): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:20726): DEBUG: (ttyACM1): --> 'AT+CREG?<CR>'
** (modem-manager:20726): DEBUG: (ttyACM1): <-- '<CR><LF>+CREG: 1,4<CR><LF>'
** (modem-manager:20726): DEBUG: (ttyACM1): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:20726): DEBUG: (ttyACM1): <-- '<CR><LF>+CIEV: 2,5<CR><LF>'
** (modem-manager:20726): DEBUG: (ttyACM1): --> 'AT+CREG?<CR>'
** (modem-manager:20726): DEBUG: (ttyACM1): <-- '<CR><LF>+CREG: 1,4<CR><LF>'
** (modem-manager:20726): DEBUG: (ttyACM1): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:20726): DEBUG: (ttyACM1): <-- '<CR><LF>+CREG: 1<CR><LF>'
** (modem-manager:20726): DEBUG: Registration state changed: 1
** Message: Modem /org/freedesktop/ModemManager/Modems/1: state changed (enabled -> registered)
** (modem-manager:20726): DEBUG: (ttyACM1): --> 'AT+COPS=3,2;+COPS?<CR>'
** (modem-manager:20726): DEBUG: (ttyACM1): <-- '<CR><LF>+CIEV: 5,1<CR><LF><CR><LF>+CIEV: 9,0<CR><LF>'
** (modem-manager:20726): DEBUG: (ttyACM1): <-- '<CR><LF>+COPS: 0,2,"23415",0 <CR><LF>'
** (modem-manager:20726): DEBUG: (ttyACM1): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:20726): DEBUG: (ttyACM1): --> 'AT+COPS=3,0;+COPS?<CR>'
** (modem-manager:20726): DEBUG: (ttyACM1): <-- '<CR><LF>+COPS: 0,0,"vodafone UK",0 <CR><LF>'
** (modem-manager:20726): DEBUG: (ttyACM1): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:20726): DEBUG: (ttyACM1): --> 'AT+CSQ<CR>'
** (modem-manager:20726): DEBUG: (ttyACM1): <-- '<CR><LF>+CSQ: 19,0<CR><LF>'
** (modem-manager:20726): DEBUG: (ttyACM1): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:20726): DEBUG: (ttyACM1): --> 'AT+CREG?<CR>'
** (modem-manager:20726): DEBUG: (ttyACM1): <-- '<CR><LF>+CREG: 1,1<CR><LF>'
** (modem-manager:20726): DEBUG: (ttyACM1): <-- '<CR><LF>OK<CR><LF>'
** Message: Modem /org/freedesktop/ModemManager/Modems/1: state changed (registered -> connecting)
** (modem-manager:20726): DEBUG: (ttyACM1): --> 'AT*EIAAUW=0,1,"VFD2","WAP"<CR>'
** (modem-manager:20726): DEBUG: (ttyACM1): <-- '<CR><LF>ERROR<CR><LF>'
** (modem-manager:20726): DEBUG: Got failure code 100: Unknown error
** Message: Modem /org/freedesktop/ModemManager/Modems/1: state changed (connecting -> registered)
** Message: Modem /org/freedesktop/ModemManager/Modems/1: state changed (registered -> disabling)
** Message: (ttyACM1) closing serial device...
** Message: Modem /org/freedesktop/ModemManager/Modems/1: state changed (disabling -> disabled)
Comment 18 Dan Williams 2009-12-11 13:59:08 EST
(In reply to comment #17)
> I'm seeing something similar with an Ericsson F3507g (R1B/1 firmware) in a T500
> connecting to Vodafone UK.
> 
> I'm assuming the hardware is all ok as wvdial works fine.
> 
> The NM profile i'm using is the one i've used for a long time with this SIM but
> in a Nozomi pcmcia card, so i'm assuming that's also ok.
> 
> I've just tried ModemManager-0.2.997-1.fc12.x86_64 & that's exhibiting this.
> 
> First attempt to connect using NM, seems to detect Vodafone UK (unlike above)
> but still returns an error 100:

Are you sure you have an APN entered?  It almost looks like there's no APN, but there's a username and password set.
Comment 19 Dan Williams 2009-12-11 16:56:32 EST
(set back to needinfo on Andy Burns)
Comment 20 Graham Biswell 2009-12-13 05:55:34 EST
> Are you sure you have an APN entered?  It almost looks like there's no APN,
> but there's a username and password set. 

Yes that's it, the APN wasn't defined. That configuration worked for other connection methods so i assumed it was ok.

Thanks for the help & sorry for the noise.
Comment 21 Andy Burns 2009-12-14 17:28:13 EST
(In reply to comment #16)

> I'll whip the cover off and double check the aerial connections  

I finally took time to attempt 3G connection from some different locations, first attempt same as at home, no connection, second attempt I did detect vodafone GSM and UMTS networks, and NM/MM made a connection, speed was poor but it did work.

So the conclusion must be that the 3507g card with the laptop's inbuilt aerials is *much* poorer at reception than the external Huawei dongle :-(
Comment 22 Dan Williams 2009-12-14 17:52:54 EST
(In reply to comment #20)
> > Are you sure you have an APN entered?  It almost looks like there's no APN,
> > but there's a username and password set. 
> 
> Yes that's it, the APN wasn't defined. That configuration worked for other
> connection methods so i assumed it was ok.
> 
> Thanks for the help & sorry for the noise.  

I looked into this; the Ericsson 'mbm' modems don't really have a way of selecting the "default" APN profile like other modems that only use standard AT commands.  There are some ways around this (list active profiles and pick the first one in the device) but they aren't technically regressions so I don't want to make those changes this late in the ModemManager release game.
Comment 23 Andy Burns 2010-01-03 08:12:40 EST
Just a little follow up on this one ...

My previous tests with a Vodafone USB dongle found all 5 UMTS networks and 4 GSM networks, I recently obtained a T-Mobile USB dongle, this also sees all 9 networks, this compared to intermittent 1 or two networks seen by the 3507g at the same location.

I had a spare half hour so I tried swapping the main and alternate aerial connectors on the 3507g card and what do you know?  It now sees all 9 networks too and connects just fine! (I did try swapping connectors back to eliminate loose connections).

I then partly disassembled the Mini9 to see if there was a broken/pinched aerial cable, couldn't see one, but there is a possibly dry looking soldered joint, which I've left alone for now.

I suppose this raises an additional question ... should the 3507g have used the alternate aerial all by itself, or would NM/MM have to instruct it to do so? If the latter then is NM/MM geared up to do this yet?

Note You need to log in before you can comment on or make changes to this bug.